
QGIS Application - Bug report #12435

"Export Atlas as images" command in OSX won't let user choose file type.

2015-03-24 04:09 AM - Kana Paul

Status: Closed

Priority: Normal

Assignee:

Category: OsX UI

Affected QGIS version:2.8.1 Regression?: No

Operating System: OS X Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 20606

Description

User can't choose image format while exporting Atlas, choices are Export atlas as images / as SVG / as PDF. "Export atlas as images"

opens a dialogue with no format choices. (Composer>Export as Image... lets user choose between formats). Tested both 2.6 and 2.8.1.

History

#1 - 2015-03-25 12:09 AM - Giovanni Manghi

- Category set to Map Composer/Printing

#2 - 2015-03-25 01:24 AM - Nyall Dawson

Giovanni - what do you think about making a specific category for OSX ui issues? It seems we have a lot of these. This bug isn't fixable by the composer

code, it really needs someone with experience in OSX builds and access to a Mac Dev environment to fix...

#3 - 2015-03-25 06:23 AM - Giovanni Manghi

- Category changed from Map Composer/Printing to OsX UI

Nyall Dawson wrote:

Giovanni - what do you think about making a specific category for OSX ui issues? It seems we have a lot of these. This bug isn't fixable by the

composer code, it really needs someone with experience in OSX builds and access to a Mac Dev environment to fix...

Hi Nyall, done! cheers!

#4 - 2016-10-16 03:32 PM - Simo Aro

The issue prevents creating atlas images with transparent background, since file format cannot be changed to PNG.

#5 - 2017-05-01 01:07 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#6 - 2019-03-09 03:12 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed
End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
